<div class="agenda">
  <div class="d-flex">
    <div class="pps-header" (click)="backToDashboardPage()">
      <a class="style-font header_agenda" style="font-size: 28px;">
        <i style="font-size: 20px;cursor: pointer" class="fa fa-chevron-left"></i>
        กำหนดการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี</a>
    </div>
  </div>
  <br>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกกำหนดการประชุมเรียบร้อย</a>
  </div>

  <p class="pps-header_th">
    บันทึกกำหนดการวาระการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี
  </p>
</div>

<div class="add_agenda_year">
  <label class="header_add_year"><B>เพิ่มกำหนดการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี</B></label>
  <br />
  <br />
  <div class="three-col">
    <div class="date">
      <a>วันที่ประชุม</a>
      <div class="date_input">
        <div class="icon-warpper1">
          <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()" /> -->
        </div>
        <div class="icon-warpper2">
          <!-- <i class="fa fa-close btn-delete" *ngIf="model" (click)="dp.clearDate()"></i> -->
        </div>

        <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="model" class="form-control"
          (ngModelChange)="time()" placeholder="ระบุวันที่ประชุม" [options]="myDpOptions" #dp="angular-mydatepicker"
          (click)="dp.toggleCalendar()" /> -->

        <app-date [datepicker_input]="{ role: null , dateData: agendadate, index: null, page: 'agenda' }"
          (DateChange)="agendadate = changeDateSearch($event)"></app-date>
      </div>
    </div>
    <div class="date-start">
      <a>ตั้งแต่เวลา</a>
      <select (change)="time()" [(ngModel)]="timestart_hours" class="form-control browser-default" name="start_hours">
        <option value="00" disabled selected>00</option>
        <option *ngFor="let hours_1 of start_hours" [ngValue]="hours_1">{{hours_1}}</option>
      </select>
      &nbsp;
      <label style="font-size: 20px;">:</label>
      &nbsp;
      <select (change)="time()" [(ngModel)]="timestart_minute" class="form-control browser-default"
        name="start_minutes">
        <option value="00" disabled selected>00</option>
        <option *ngFor="let minutes_1 of start_minutes" [ngValue]="minutes_1">{{minutes_1}}</option>
      </select>
      &nbsp; &nbsp;
      <label>น.</label>
    </div>
    <div class="date-end">
      <a>จนถึงเวลา</a>
      <select (change)="time()" [(ngModel)]="timeend_hours" class="form-control browser-default" name="start_hours">
        <option value="00" disabled selected>00</option>
        <option *ngFor="let hours_2 of start_hours" [ngValue]="hours_2">{{hours_2}}</option>
      </select>
      &nbsp;
      <label style="font-size: 20px;">:</label>
      &nbsp;
      <select (change)="time()" [(ngModel)]="timeend_minute" class="form-control browser-default" name="start_minutes">
        <option value="00" disabled selected>00</option>
        <option *ngFor="let minute_2 of start_minutes" [ngValue]="minute_2">{{minute_2}}</option>
      </select>
      &nbsp; &nbsp;
      <label>น.</label>
    </div>
  </div>

  <div class="typeofcollateral">
    <p class="head-detal">อัปโหลดกำหนดการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี</p>
    <div class="dropzone">
      <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
        accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />
      <!-- accept="mutipart/form-data" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
       application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
       application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" -->
      <!-- accept="application/pdf" -->
      <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
      <a style="font-size: 18px; color: #00a6e6;"
        for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
    </div>
  </div>
  <br />
  <div class="table_files">
    <table mat-table [dataSource]="dataSource_file" style="width: 100% !important;">
      <!-- Position Column -->
      <ng-container matColumnDef="fileName">
        <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
        <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="fileSize">
        <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
        <td mat-cell *matCellDef="let element">
          {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
        </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="delete">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element; let index = index">
          <a class="download_file" (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
          <a class="pipe">|</a>
          <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
    </table>
  </div>
  <br />

  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="addAgenda()">
        เพิ่มกำหนดการประชุม
      </button>
    </div>
  </div>
  <br />
</div>
<br /><br />
<div class="search">
  <div style="width: 70%;"><a>ค้นหาข้อมูล</a></div>
  <div class="show_less" style="width: 30%;">
    <a class="show_less_a" (click)="showlessResult()" *ngIf="this.showless === 'true'">แสดงผลน้อยลง</a>
    <a class="show_less_a" (click)="showlessResult()" *ngIf="this.showless !== 'true'">แสดงผลเพิ่มเติม</a>
  </div>
</div>
<hr class="new4" />
<br />

<div *ngIf="this.showless === 'true'">
  <div class="add_agenda_year">
    <div class="show_main">
      <div class="sub_year">
        <a>ปี</a>
        <select class="form-control browser-default" [(ngModel)]="yearsearch" (ngModelChange)="searchMeeting()">
          <option value="" selected>กรุณาเลือกปีที่ประชุม</option>
          <option [value]="item" *ngFor="let item of year">
            {{item}}</option>
        </select>
      </div>
      <div class="sub_month">
        <a>เดือน</a>
        <select class="form-control browser-default" [(ngModel)]="monthsearch" (ngModelChange)="searchMeeting()">
          <option value="" selected>กรุณาเลือกเดือนที่ประชุม</option>
          <option [value]="item" *ngFor="let item of month">
            {{item}}</option>
        </select>
      </div>
      <div class="sub_date">
        <a>วัน</a>
        <div class="date_input_search">
          <div class="icon-warpper1">
            <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp1.toggleCalendar()" /> -->
          </div>
          <div class="icon-warpper2">
            <!-- <i class="fa fa-close btn-delete" *ngIf="model_search" (click)="dp1.clearDate()"></i> -->
          </div>
          <!-- 
          <input angular-mydatepicker type="text" name="myDpOptions_search" [(ngModel)]="model_search"
            class="form-control" placeholder="กรุณาเลือกวันที่ประชุม" [options]="myDpOptions_search"
            #dp1="angular-mydatepicker" (click)="dp1.toggleCalendar()" (ngModelChange)="searchMeeting()" /> -->

          <app-date [datepicker_input]="{ role: null , dateData: model_search, index: null, page: 'agenda' }"
            (DateChange)="model_search = changeDateSearch($event)"></app-date>
        </div>
      </div>
    </div>
    <br />
    <br />

    <div class="show_main">
      <div class="sub_year">
        <a>ประเภทวาระ</a>
        <select class="form-control browser-default" [(ngModel)]="termsearch" (ngModelChange)="searchMeeting()">
          <option value="" selected>กรุณาเลือกประเภทวาระ</option>
          <option [value]="item" *ngFor="let item of term">
            {{item}}</option>
        </select>
      </div>
      <div class="sub_month">
        <a>ประเภทการนำเสนอ</a>
        <select class="form-control browser-default" [(ngModel)]="presentationsearch" (ngModelChange)="searchMeeting()">
          <option value="" selected>กรุณาเลือกประเภทการนำเสนอ</option>
          <option [value]="item" *ngFor="let item of presentation">
            {{item}}</option>
        </select>
      </div>
      <div class="sub_date">
        <a>ครั้งที่ประชุม</a>
        <select class="form-control browser-default" [(ngModel)]="nosearch" (ngModelChange)="searchMeeting()">
          <option value="" selected>กรุณาเลือกครั้งที่ประชุม</option>
          <option [value]="item.countingInteger" *ngFor="let item of searchData">
            {{item.no}}
          </option>
        </select>
      </div>
    </div>
    <br />

    <div class="shearch_manu">
      <div class="shearch_product">
        <a>ค้นหาเกี่ยวกับผลิตภัณฑ์</a>
        <input class="form-control" placeholder="ค้นหาได้จากเลขที่ใบคำขอ , รหัสผลิตภัณฑ์ และ ชื่อผลิตภัณฑ์"
          [(ngModel)]="productsearch" />
      </div>

      <div class="shearch_btn">
        <a></a><br />
        <button class="btn btn-primary shearch_btn_bb" (click)="onSearch()">ค้นหา</button>
      </div>
    </div>
  </div>
</div>

<br />
<div class="table_agenda row">
  <label class="col-10">กำหนดการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี</label>
  <button class="col-2 btn btn-primary delete-agenda-btn" (click)="delete_agenda_btn()">ลบวันที่ประชุม</button>
</div>
<hr class="new4" />

<br />
<div class="table-responsives">
  <table>
    <tr>
      <th rowspan="2" *ngIf="this.modedeleteagenda == true">
        <mat-checkbox style="vertical-align: -webkit-baseline-middle;" (change)="$event ? masterToggle() : null"
          [checked]="selection.hasValue() && isAllSelected()" [indeterminate]="selection.hasValue() && !isAllSelected()"
          [aria-label]="checkboxLabel()">
        </mat-checkbox>
      </th>
      <th rowspan="2" *ngFor="let header of header">
        {{ header.value }}
      </th>
      <th colspan="3" style="border-bottom: 1px solid #999999;">
        วาระสืบเนื่องจากครั้งก่อน
      </th>
      <th colspan="3" style="border-bottom: 1px solid #999999;">
        วาระปกติ
      </th>
      <th colspan="3" style="border-bottom: 1px solid #999999;">
        วาระเพิ่มเติม
      </th>
      <th colspan="2" rowspan="2">
        การจัดการ
      </th>
    </tr>
    <tr>
      <th *ngFor="let sub1 of sub_header_1">{{ sub1.value }}</th>
      <th *ngFor="let sub2 of sub_header_1">{{ sub2.value }}</th>
      <th *ngFor="let sub3 of sub_header_1">{{ sub3.value }}</th>
    </tr>

    <tr *ngFor="let row of returnedArray; let index = index">
      <td *ngIf="this.modedeleteagenda == true && row.canDelete === true">
        <mat-checkbox style="vertical-align: -webkit-baseline-middle;" (click)="$event.stopPropagation()"
          (change)="$event ? selection.toggle(row) : null" [checked]="selection.isSelected(row)"
          [aria-label]="checkboxLabel(row)">
        </mat-checkbox>
      </td>
      <td *ngIf="this.modedeleteagenda == true && row.canDelete === false">
        <mat-checkbox style="vertical-align: -webkit-baseline-middle;" (click)="$event.stopPropagation()"
          (change)="$event ? selection.toggle(row) : null" [checked]="selection.isSelected(row)"
          [aria-label]="checkboxLabel(row)" disabled>
        </mat-checkbox>
      </td>
      <td>
        {{row.year}}
      </td>
      <td>
        {{row.month}}
      </td>
      <td>
        {{row.meetingDate}}
      </td>
      <td>
        {{row.meetingTime}}
      </td>
      <td>
        {{row.no}}
      </td>
      <td *ngFor="let consider of row.previousTerm">
        <span *ngIf="consider.consider !== 0">{{ consider.consider }}</span>
        <span *ngIf="consider.consider === 0">-</span>
      </td>
      <td *ngFor="let inform of row.previousTerm">
        <span *ngIf="inform.inform !== 0">{{ inform.inform }}</span>
        <span *ngIf="inform.inform === 0">-</span>
      </td>
      <td *ngFor="let considerAndInform of row.previousTerm">
        <span *ngIf="considerAndInform.considerAndInform !== 0">{{ considerAndInform.considerAndInform }}</span>
        <span *ngIf="considerAndInform.considerAndInform === 0">-</span>
      </td>
      <td *ngFor="let consider of row.normalTerm">
        <span *ngIf="consider.consider !== 0">{{ consider.consider }}</span>
        <span *ngIf="consider.consider === 0">-</span>
      </td>
      <td *ngFor="let inform of row.normalTerm">
        <span *ngIf="inform.inform !== 0">{{ inform.inform }}</span>
        <span *ngIf="inform.inform === 0">-</span>
      </td>
      <td *ngFor="let considerAndInform of row.normalTerm">
        <span *ngIf="considerAndInform.considerAndInform !== 0">{{ considerAndInform.considerAndInform }}</span>
        <span *ngIf="considerAndInform.considerAndInform === 0">-</span>
      </td>
      <td *ngFor="let consider of row.otherTerm">
        <span *ngIf="consider.consider !== 0">{{ consider.consider }}</span>
        <span *ngIf="consider.consider === 0">-</span>
      </td>
      <td *ngFor="let inform of row.otherTerm">
        <span *ngIf="inform.inform !== 0">{{ inform.inform }}</span>
        <span *ngIf="inform.inform === 0">-</span>
      </td>
      <td *ngFor="let considerAndInform of row.otherTerm">
        <span *ngIf="considerAndInform.considerAndInform !== 0">{{ considerAndInform.considerAndInform }}</span>
        <span *ngIf="considerAndInform.considerAndInform === 0">-</span>
      </td>
      <td *ngIf="row.canDelete === true">
        <a class="delete-text" (click)="edit_data(row)">แก้ไข</a>
      </td>
      <td *ngIf="row.canDelete === false">
        <a class="delete-text" (click)="edit_data(row)">ดูรายละเอียด</a>
      </td>
      <td *ngIf="row.canDelete === true">
        <a class="delete-text" (click)="openMoveAgendaManageDialog(row.id)">ย้ายวาระการประชุม</a>
      </td>
      <td *ngIf="row.canDelete === false">
        <a class="disables-text">ย้ายวาระการประชุม</a>
      </td>
    </tr>
  </table>
</div>
<!-- =======================================paginate =================================================== -->
<div class="paginate">
  <a>Display {{startItem+1}} - {{endItem}} of {{length}} Show rows:&nbsp;</a>
  <div>
    <select [(ngModel)]="pageSize" value="10" (ngModelChange)="limitOnChange()">
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="50">50</option>
      <option value="100">100</option>
    </select>
  </div>
  <div class="page_sty">
    &nbsp;<a style=" font-size: 12px;">Page:</a>&nbsp;<pagination class="page" [maxSize]="1" [(ngModel)]="currentPage"
      [itemsPerPage]="pageSize" [totalItems]="length" [directionLinks]="false" style="padding-top: 20px;"></pagination>

    <pager [totalItems]="length" [(ngModel)]="currentPage" (pageChanged)="pageChanged($event)"
      pageBtnClass="btn btn-default custom-button-page" previousText="<" nextText=">" [itemsPerPage]="pageSize"
      style="padding-top: 20px;">
    </pager>

  </div>
</div>
<!-- =======================================paginate end=================================================== -->


<br />
<br />

<div class=" row table_agenda">
  <div class="col-2">
    <button class="btn btn-primary cancel-btn" *ngIf="this.modedeleteagenda == true"
      (click)="cencel_btn()">ยกเลิก</button>
  </div>
  <div class="col-3" style="text-align: center;">
    <span class="text-select-total" *ngIf="this.modedeleteagenda == true">
      กำลังเลือกทั้งหมด {{selection.selected.length}} รายการ</span>
  </div>
  <div class="col-3" style="text-align: center;">
    <button class="btn btn-primary delete-agenda-main-btn" *ngIf="this.modedeleteagenda == true"
      (click)="delete_agenda_main()">ลบข้อมูลกำหนดการประชุม</button>
  </div>
</div>

<!-- -------------- Modal Confirm Move Agenda Datetime -------------- -->
<div class="modal fade" id="modalConfirmMoveAgendaDatetime" tabindex="-1" role="dialog"
  aria-labelledby="modalConfirmMoveAgendaDatetimeTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <button type=" button" class="close modal-close" data-dismiss="modal" aria-label="Close"
          style="margin: 15px;color: #999999;">
          <span aria-hidden="true">&times;</span>
        </button>
        <div class="header_detail">
          <div class="d-flex header-text">
            <img src="../../../../../assets/img/checkmark-s.png" class="icon_checkmark" />
            &nbsp; &nbsp;
            <label class="header-text">ยืนยันการดำเนินการ</label>
          </div>
        </div>
        <div class="body-detail">
          <div class="body-text">
            <div class="text">
              <label>ในครั้งถัดไปมีใบคำขออยู่แล้ว</label>
            </div>
            <div class="text">
              <label>คุณต้องการจะย้ายครั้งถัดไป</label>
            </div>
            <div class="footer">
              <button class="btn btn-primary back-user-btn" data-dismiss="modal">
                กลับไปแก้ไข
              </button>
              <button class="btn btn-primary add-user-btn" data-dismiss="modal" (click)="confirmMoveAgenda()">
                ยืนยันการย้าย
              </button>
            </div>

          </div>
        </div>
        <br />
      </div>
    </div>
  </div>
  <!-- -------------- End Modal Confirm Move Agenda Datetime -------------- -->